/* expand.h -- Functions to expand % escapes in strings. */
/* $Id: expand.h,v 0.1 1997/06/20 02:16:03 eagle Exp $ */

#ifndef __h_expand__
#define __h_expand__

/***************************************************************************
* Includes
***************************************************************************/

#include <sys/types.h>          /* time_t */

/***************************************************************************
* Prototypes
***************************************************************************/

/* Expand a format string that contains % escapes, returning a pointer to
   the result or NULL in the event of any failure.  The format string looks
   a bit like a printf() format string, and takes the following special %
   sequences:

       %%   A literal '%' character.
       %d   A date, formatted as yyyy-mm-dd, from the time_t passed in.
       %m   The machine name, truncated at the first period.
       %n   An arbitrary string, from the char * passed in.
       %s   An arbitrary string from the variable arguments section.

   If there are no %n and %d escapes in the format string, name and date are
   not used. */

extern char *expand (char *format, char *name, time_t date, ...);

/**************************************************************************/

#endif /* __h_expand__ */
