/* file.h -- Functions to manipulate (copy, move, etc.) files. */
/* $Id: file.h,v 0.4 1997/11/01 03:32:31 eagle Exp $ */

#ifndef __h_file__
#define __h_file__

/***************************************************************************
* Includes
***************************************************************************/

#include <sys/types.h>          /* uid_t, gid_t, mode_t */

/***************************************************************************
* Prototypes
***************************************************************************/

/* Rename a log to a unique name, returning that name. */
extern char *rename_log (char *filename);

/* Copy a file from one location to another. */
extern int copy_log (char *sourcename, char *destname);

/* Copy a file from one location to another, compressing it. */
extern int compress_log (char *sourcename, char *destname);

/* Same as compress_log(), but delete the destination file if it exists. */
extern int overwrite_log (char *sourcename, char *destname);

/* Same as compress_log(), but create the last level of the directory. */
extern int archive_log (char *sourcename, char *destname);

/* Rename saved old logs, only keeping a given number. */
extern int shuffle_log (char *filename, int count);

/* Create a new file with the given name, owner, group, and permissions. */
extern int create_log (char *filename, uid_t, gid_t, mode_t mode);

/**************************************************************************/

#endif /* __h_file__ */
